
%define		qtver	4.7.4
%define		state	stable

# git archive --format=tar --remote=git://anongit.kde.org/libbluedevil bluez5  \
# --prefix=libbluedevil-%{version}/ | bzip2 >libbluedevil-%{version}-%{snap}.tar.bz2
%define		snap	20131218

Summary:	Qt-based library to handle all Bluetooth functionality
Summary(pl.UTF-8):	Biblioteka bazująca na Qt obsługująca funkcjonalność Bluetooth
Name:		libbluedevil
Version:	2.0
Release:	0.%{snap}.2
License:	GPL
Group:		X11/Libraries
#Source0:	ftp://ftp.kde.org/pub/kde/%{state}/libbluedevil/%{version}/src/%{name}-%{version}.tar.xz
Source0:	libbluedevil-%{version}-%{snap}.tar.bz2
# Source0-md5:	a3f5cee2735071be1d76dd6c47db7ee0
URL:		http://projects.ufocoders.com/projects/libbluedevil
BuildRequires:	QtDBus-devel >= %{qtver}
BuildRequires:	QtGui-devel >= %{qtver}
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	cmake >= 2.8.0
BuildRequires:	dbus-devel
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.600
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libbluedevil is a stable Qt-based library written in C++ to handle all
Bluetooth functionality.

%package devel
Summary:	libbluevil - header files and development documentation
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains header files and development documentation for
libbluedevil.

%prep
%setup -q

%build
install -d build
cd build
%cmake \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbluedevil.*

%files devel
%defattr(644,root,root,755)
%{_pkgconfigdir}/bluedevil.pc
%dir %{_includedir}/bluedevil
%{_includedir}/bluedevil/*
%changelog
* Wed Oct 02 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libbluedevil.git;a=log;h=master

* Wed Oct 02 2019 Jan Rękorajski <baggins@pld-linux.org> e3c561c
- rel 2

* Wed Dec 18 2013 Jan Rękorajski <baggins@pld-linux.org> 96c068b
- fix pl summary encoding

* Wed Dec 18 2013 Jan Rękorajski <baggins@pld-linux.org> a7ca917
- updated to 2.0 snaphost supporting bluez5

* Tue Sep 24 2013 Lukasz Masko <lmasko@pld-linux.org> fb90c4c
- Small %setup fix.

* Tue Sep 24 2013 Lukasz Masko <lmasko@pld-linux.org> dff13c1
- Up to 1.9.4.
- Source file on dropin for now, because the original archive has
  a strange path in it

* Sat Aug 03 2013 Lukasz Masko <lmasko@pld-linux.org> 0f0ba51
- Up to 1.9.3.

* Sun Sep 02 2012 Karol Krenski <charles@pld-linux.org> 748cd0c
- up to 1.9.2

* Sun Oct 16 2011 Andrzej Augustyński <august84@pld-linux.org> 13f106d
- up to 1.9.1

* Wed Sep 14 2011 Karol Krenski <charles@pld-linux.org> 3ee05c5
- cosmetics

* Tue Sep 13 2011 Karol Krenski <charles@pld-linux.org> 7f5c1de
- updated to 1.9

* Mon Mar 28 2011 Bartłomiej Zimoń <cactus@pld-linux.org> eef3e00
- up to 1.8.1

* Wed Jan 19 2011 shadzik <shadzik@pld-linux.org> be9134a
- adjust to new cmake macro
- strange that rpmbuild macros weren't listed in BRs

* Mon Nov 15 2010 Karol Krenski <charles@pld-linux.org> 8b6ceef
- BR: dbus-devel

* Fri Nov 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> cbde807
- up to 1.8; use release tarballs

* Thu Oct 14 2010 Mateusz Korniak <matkor@pld-linux.org> fbe44c4
- Release 0.git.1. Works for me.

* Sun Sep 05 2010 Karol Krenski <charles@pld-linux.org> 15edd27
- updated BRs; removed TODO

* Sat Sep 04 2010 lmasko <lmasko@pld-linux.org> d3e6472
- Initial version. Needs cleaning.

